"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createDebugCommand() {
    return {
        name: "debug",
        execute: (context) => {
            let msg = `The tool "${context.tool.name}" uses the following commands:`;
            const internalTool = context.tool;
            const registrations = (internalTool === null || internalTool === void 0 ? void 0 : internalTool.__registrations) || [];
            registrations.forEach(r => (msg += `\n- ${r.commandName}: ${r.messageRegex}`));
            context.res.reply(msg);
        }
    };
}
exports.default = createDebugCommand;
