"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestParameter = void 0;
const AnyParameter_1 = require("./AnyParameter");
class RestParameter extends AnyParameter_1.AnyParameter {
    /**
     * Creates an instance of AnyParameter.
     * @param {string} name The name of the parameter. Can be used to identify the parameter value as well.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof RestParameter
     */
    constructor(name, defaultValue = null) {
        super(name, defaultValue);
    }
}
exports.RestParameter = RestParameter;
