"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenParameter = void 0;
const ChoiceParameter_1 = require("./ChoiceParameter");
/**
 * Matches a token. A token must be present.
 *
 * @export
 * @class TokenParameter
 * @extends {ChoiceParameter}
 */
class TokenParameter extends ChoiceParameter_1.ChoiceParameter {
    /**
     *Creates an instance of TokenParameter.
     * @param {string} name The name of the token.
     * @memberof TokenParameter
     */
    constructor(token) {
        super(token, [token], null);
    }
}
exports.TokenParameter = TokenParameter;
