import { ITool, ICommand } from "../types";
/**
 * Validates the tool and throws and exception if the
 * tool is invalid.
 * @param tool The tool.
 */
export default function validateToolAndThrowWhenInvalid(tool: ITool): void;
/**
 * Validates the command and throws an exception if
 * the command is invalid.
 * @param tool The tool.
 * @param cmd The command.
 */
export declare function validateCommandAndThrowWhenInvalid(tool: ITool, cmd: ICommand): void;
