"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSwitch = exports.hasSwitch = void 0;
function hasSwitch(robot, name) {
    if (!robot.__switches)
        return false;
    return robot.__switches.indexOf(name) != -1;
}
exports.hasSwitch = hasSwitch;
function setSwitch(robot, name) {
    if (hasSwitch(robot, name))
        return;
    if (!robot.__switches)
        robot.__switches = [];
    robot.__switches.push(name);
}
exports.setSwitch = setSwitch;
