/**
 * Defines the fraction style.
 *
 * @export
 * @enum {number}
 */
export declare enum FractionStyle {
    /**
     * Fractions are seperated by a '.'.
     */
    Dot = 0,
    /**
     * Fractions are seperated by a ','.
     */
    Comma = 1,
    /**
     * Fractions can be seperated by both a '.' and a ','.
     */
    Both = 2
}
