"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FractionStyle = void 0;
/**
 * Defines the fraction style.
 *
 * @export
 * @enum {number}
 */
var FractionStyle;
(function (FractionStyle) {
    /**
     * Fractions are seperated by a '.'.
     */
    FractionStyle[FractionStyle["Dot"] = 0] = "Dot";
    /**
     * Fractions are seperated by a ','.
     */
    FractionStyle[FractionStyle["Comma"] = 1] = "Comma";
    /**
     * Fractions can be seperated by both a '.' and a ','.
     */
    FractionStyle[FractionStyle["Both"] = 2] = "Both";
})(FractionStyle || (exports.FractionStyle = FractionStyle = {}));
