/**
 * Types of numbers that can be used.
 *
 * @export
 * @enum {number}
 */
export declare enum NumberStyle {
    /**
     * Allow positive numbers.
     */
    Positive = 0,
    /**
     * Allow negative numbers.
     */
    Negative = 1,
    /**
     * Allow both numbers.
     */
    Both = 2
}
