"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberStyle = void 0;
/**
 * Types of numbers that can be used.
 *
 * @export
 * @enum {number}
 */
var NumberStyle;
(function (NumberStyle) {
    /**
     * Allow positive numbers.
     */
    NumberStyle[NumberStyle["Positive"] = 0] = "Positive";
    /**
     * Allow negative numbers.
     */
    NumberStyle[NumberStyle["Negative"] = 1] = "Negative";
    /**
     * Allow both numbers.
     */
    NumberStyle[NumberStyle["Both"] = 2] = "Both";
})(NumberStyle || (exports.NumberStyle = NumberStyle = {}));
