import { ChoiceParameter } from "./ChoiceParameter";
/**
 * Matches a token. A token must be present.
 *
 * @export
 * @class TokenParameter
 * @extends {ChoiceParameter}
 */
export declare class TokenParameter extends ChoiceParameter {
    /**
     *Creates an instance of TokenParameter.
     * @param {string} name The name of the token.
     * @memberof TokenParameter
     */
    constructor(token: string);
}
