/// <reference types="hubot" />
/**
 * If no tool is mapped to the text, this default alias
 * will be used to handle the text.
 *
 * @export
 * @param {Hubot.Robot} robot The robot.
 * @param {string} destination The destination alias of the command the text should be aliased to.
 * @param {IOptions} options The options.
 */
export declare function map_default_alias(robot: Hubot.Robot, destination: string, skipRegexes?: RegExp[]): void;
